## atspi-misc

atspi-misc — Miscellaneous methods for using AT-SPI services.

## Functions

int | atspi_init ()
void | atspi_event_main ()
void | atspi_event_quit ()
int | atspi_exit ()

## Description

Miscellaneous methods for using AT-SPI services.

## Functions

### atspi_init ()

    int
    atspi_init (void);

Connects to the accessibility registry and initializes the SPI.

#### Returns

0 on success, 1 if already initialized, or an integer error code.

### atspi_event_main ()

    void
    atspi_event_main ();

Starts/enters the main event loop for the AT-SPI services.

NOTE: This method does not return control; it is exited via a call to atspi_event_quit from within an event handler.

### atspi_event_quit ()

    void
    atspi_event_quit ();

Quits the last main event loop for the AT-SPI services, See: atspi_event_main

### atspi_exit ()

    int
    atspi_exit ();

Disconnects from AtspiRegistry instances and releases any floating resources. Call only once at exit.

#### Returns

0 if there were no leaks, otherwise other integer values.

## Types and Values